oracle.adf.view.rich.util

## Class ResetUtils

- java.lang.Object
- - oracle.adf.view.rich.util.ResetUtils

-     public final class ResetUtils
      extends Object

  Provides utilities for resetting

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getResetRoot(javax.faces.context.FacesContext context)` Retrieve the client id of the root component under which all descendant components are cleared, this will be sent to client to clear corresponding client components as well.
    `static void` | `reset(javax.faces.component.UIComponent startComponent)` All values submitted will be reset to null or empty, so that editable components will pull their values from the model.
    `static void` | `setResetRoot(javax.faces.context.FacesContext context, String resetRoot)` Sets the client id of the root component under which all descendant components are cleared, this will be sent to client to clear corresponding client components as well.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### reset

          public static final void reset(javax.faces.component.UIComponent startComponent)

      All values submitted will be reset to null or empty, so that editable components will pull their values from the model.
      Parameters:
        `startComponent` - starting at the startComponent walk up the component tree to find the closest root comonent (for example a form, popup, or subform) under which editable fields will be cleared.

    - #### setResetRoot

          public static final void setResetRoot(javax.faces.context.FacesContext context,
                                                String resetRoot)

      Sets the client id of the root component under which all descendant components are cleared, this will be sent to client to clear corresponding client components as well.
      Parameters:
        `context` - faces context
        `resetRoot` - reset root

    - #### getResetRoot

          public static final String getResetRoot(javax.faces.context.FacesContext context)

      Retrieve the client id of the root component under which all descendant components are cleared, this will be sent to client to clear corresponding client components as well.
      Parameters:
        `context` - faces context
      Returns:
        reset root id

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.